%define fw_version 5.24

%define oname ktexteditor

Summary:	KDE Frameworks 5 advanced embeddable text editor module
Name:		%{oname}-kf5
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	karchive-devel >= %{version}
BuildRequires:	kconfig-devel >= %{version}
BuildRequires:	kguiaddons-devel >= %{version}
BuildRequires:	ki18n-devel >= %{version}
BuildRequires:	kio-devel >= %{version}
BuildRequires:	kparts-devel >= %{version}
BuildRequires:	sonnet-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5XmlPatterns)

%description
KDE Frameworks 5 advanced embeddable text editor module.

KTextEditor provides a powerful text editor component that you can embed in
your application, either as a KPart or using the KF5::TextEditor library
(if you need more control).

%files
%{_kde5_datadir}/katepart5/*
%{_kde5_plugindir}/parts/katepart.so
%{_kde5_services}/katepart.desktop
%{_kde5_servicetypes}/ktexteditor.desktop
%{_kde5_servicetypes}/ktexteditorplugin.desktop

#----------------------------------------------------------------------------

%package i18n
Summary:	KTextEditor translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KTextEditor translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5texteditor_major 5
%define libkf5texteditor %mklibname kf5texteditor %{kf5texteditor_major}

%package -n %{libkf5texteditor}
Summary:	KDE Frameworks 5 advanced embeddable text editor shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5texteditor}
KDE Frameworks 5 advanced embeddable text editor shared library.

%files -n %{libkf5texteditor}
%{_kde5_libdir}/libKF5TextEditor.so.%{kf5texteditor_major}*

#----------------------------------------------------------------------------

%define devkf5texteditor %mklibname kf5texteditor -d

%package -n %{devkf5texteditor}
Summary:	Development files for KDE Frameworks 5 advanced embeddable text editor module
Group:		Development/KDE and Qt
Requires:	%{libkf5texteditor} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5texteditor-devel = %{version}

%description -n %{devkf5texteditor}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5texteditor}
%{_kde5_includedir}/KF5/KTextEditor
%{_kde5_includedir}/KF5/ktexteditor_version.h
%{_kde5_libdir}/cmake/KF5TextEditor
%{_kde5_libdir}/libKF5TextEditor.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (362b98a) New version 5.24.0


